package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.wcx.WcxWeeklyStatisticsDTO;
import cn.com.countrygarden.bi.main.dto.wcx.WcxWeeklyStatisticsVO;
import cn.com.countrygarden.bi.main.model.wcx.WcxWeeklyStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

@org.apache.ibatis.annotations.Mapper
public interface WcxWeeklyStatisticsMapper extends Mapper<WcxWeeklyStatistics> {

   List<WcxWeeklyStatistics> innovationNumZhouTongji();

    int updateWeek(WcxWeeklyStatistics weics);

    List<WcxWeeklyStatistics> innovationNumYueTongji();

    List<WcxWeeklyStatistics> StatisticsNumZhouTongji();

 List<WcxWeeklyStatistics> StatisticsNumZhouTongjican(@Param("wekindex") int wekindex);


 int updateWeeChain(WcxWeeklyStatistics weics);

    List<WcxWeeklyStatistics> innovationNumDateTongji();

    List<WcxWeeklyStatisticsDTO> statistime(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);

    Long statistimeCount(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);

    Collection<WcxWeeklyStatisticsVO> statistimeVO(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);
}
